OpenTTD: AfterNewGRFScan Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
AfterNewGRFScan Struct Reference

Callback structure of statements to be executed after the NewGRF scan. More...

Inheritance diagram for AfterNewGRFScan:

## Public Member Functions
| AfterNewGRFScan (bool *save_config_ptr)
| Create a new callback.
virtual void | OnNewGRFsScanned ()
| Called whenever the NewGRF scan completed.
Public Member Functions inherited from NewGRFScanCallback
virtual | ~NewGRFScanCallback ()
| Make sure the right destructor gets called.

## Data Fields
Year | startyear
| The start year.
uint | generation_seed
| Seed for the new game.
char * | dedicated_host
| Hostname for the dedicated server.
uint16 | dedicated_port
| Port for the dedicated server.
char * | network_conn
| Information about the server to connect to, or NULL.
const char * | join_server_password
| The password to join the server with.
const char * | join_company_password
| The password to join the company with.
bool * | save_config_ptr
| The pointer to the save config setting.
bool | save_config
| The save config setting.

## Detailed Description

Callback structure of statements to be executed after the NewGRF scan.

Definition at line 386 of file openttd.cpp.

## Constructor & Destructor Documentation

AfterNewGRFScan::AfterNewGRFScan | ( | bool * | save_config_ptr | ) |
| inline

Create a new callback.

Parameters

  save_config_ptr | Pointer to the save_config local variable which decides whether to save of exit or not.

Definition at line 402 of file openttd.cpp.

## Member Function Documentation

virtual void AfterNewGRFScan::OnNewGRFsScanned | ( |  | ) |
| inlinevirtual

Called whenever the NewGRF scan completed.

Implements NewGRFScanCallback.

Definition at line 410 of file openttd.cpp.

References _network_available, _network_bind_list, _settings_client, _settings_newgame, _switch_mode, SmallVector< T, S >::Append(), AutoFreeSmallVector< T, S >::Clear(), COMPANY_NEW_COMPANY, COMPANY_SPECTATOR, dedicated_host, dedicated_port, TarScanner::DoScan(), GameSettings::game_creation, GENERATE_NEW_SEED, GameCreationSettings::generation_seed, generation_seed, MusicDriver::GetInstance(), ClientSettings::gui, IConsoleCmdExec(), Game::Initialize(), AI::Initialize(), INVALID_YEAR, join_company_password, join_server_password, GUISettings::last_newgrf_count, LoadFromConfig(), LoadFromHighScore(), LoadHotkeysFromConfig(), LoadIntroGame(), ClientSettings::music, MusicSettings::music_vol, ClientSettings::network, network_conn, NETWORK_DEFAULT_PORT, ParseConnectionString(), ResetGRFConfig(), save_config, save_config_ptr, TarScanner::SCENARIO, NetworkSettings::server_port, MusicDriver::SetVolume(), GameCreationSettings::starting_year, startyear, stredup(), Game::Uninitialize(), AI::Uninitialize(), and UpdateNewGRFConfigPalette().

The documentation for this struct was generated from the following file:

- src/openttd.cpp